Skip to main content
cancel
Showing results for 
Search instead for 
Did you mean: 

Find everything you need to get certified on Fabric—skills challenges, live sessions, exam prep, role guidance, and more. Get started

Reply
jsanchezm
Frequent Visitor

Can't upgrade more than 2.114.864.0: "can't connect to model"

Hi,

I've been using PowerBI Desktop and the service for about 3 years, and now I've got this really weird and annoying problem. All the versions greater than 2.114.864.0 (02/2023) are causing this "Can't connect to model" message and fail to start the program. I've tried with the march, april and june published versions (I kept them though didn't install them at that moment) but all seem to break something in my system. I use Windows 10 completely updated, with x86 PBI Desktop and also x86 Edge WebView2 Runtime and I have no clue how to solve this. I've been looking here and all over the net to see if somebody has a similar problem, but allthough some people have the "Can't connect to model" problem, it doesn't seem to really have the same origin or cause.

Does anybody have some ideas about this? I've run out of them...thanks in advance!

 

1 ACCEPTED SOLUTION

Thanks for your answer, @amitchandak. Finally I decided to reinstall completely my Windows 10 as it seems that something ruined it. After that, everything works as expected.

View solution in original post

2 REPLIES 2
amitchandak
Super User
Super User

Thanks for your answer, @amitchandak. Finally I decided to reinstall completely my Windows 10 as it seems that something ruined it. After that, everything works as expected.

Helpful resources

Announcements
July 2024 Power BI Update

Power BI Monthly Update - July 2024

Check out the July 2024 Power BI update to learn about new features.

July Newsletter

Fabric Community Update - July 2024

Find out what's new and trending in the Fabric Community.